# Uses of Class
org.eclipse.swt.dnd.Transfer

Packages that use Transfer
Package
Description
org.eclipse.jface.util
Provides useful building blocks used throughout JFace, including property change events, a listener list implementation, and runtime checked assertions.
org.eclipse.jface.viewers
Provides a framework for viewers, which are model-based content adapters for SWT widgets.
org.eclipse.swt.dnd
SWT Drag and Drop support.
org.eclipse.ui.application
Application-level APIs for configuring and controling the Eclipse Platform User Interface.
org.eclipse.ui.dnd
Classes and Interface specifications for Drag and Drop in the Eclipse Platform User Interface.
org.eclipse.ui.forms.widgets
Custom widgets and controls for forms-based parts.
org.eclipse.ui.navigator
Provides the Common Navigator framework.
org.eclipse.ui.navigator.resources
Provides reusable components for clients that need to expand on the capabilities provided by the reference Common Navigator Resources extension.
org.eclipse.ui.part
Classes for the creation of workbench parts that integrate with the Eclipse Platform User Interface.
org.eclipse.ui.texteditor
Provides a framework for text editors obeying to the desktop rules.

## Uses of Transfer in org.eclipse.jface.util

Subclasses of Transfer in org.eclipse.jface.util
Modifier and Type
Class
Description
`class`
`LocalSelectionTransfer`
A LocalSelectionTransfer may be used for drag and drop operations within the same instance of Eclipse.
Methods in org.eclipse.jface.util that return Transfer
Modifier and Type
Method
Description
`Transfer`
TransferDragSourceListener.`getTransfer()`
Returns the `Transfer` type that this listener can provide data for.
`Transfer`
TransferDropTargetListener.`getTransfer()`
Returns the `Transfer` type that this listener can accept a drop operation for.
`Transfer[]`
DelegatingDragAdapter.`getTransfers()`
Returns the `Transfer`s from every `TransferDragSourceListener`.
`Transfer[]`
DelegatingDropAdapter.`getTransfers()`
Returns the combined set of `Transfer` types of all `TransferDropTargetListeners`.

## Uses of Transfer in org.eclipse.jface.viewers

Methods in org.eclipse.jface.viewers with parameters of type Transfer
Modifier and Type
Method
Description
`void`
StructuredViewer.`addDragSupport(int operations, Transfer[] transferTypes, DragSourceListener listener)`
Adds support for dragging items out of this viewer via a user drag-and-drop operation.
`void`
StructuredViewer.`addDropSupport(int operations, Transfer[] transferTypes, DropTargetListener listener)`
Adds support for dropping items into this viewer via a user drag-and-drop operation.

## Uses of Transfer in org.eclipse.swt.dnd

Subclasses of Transfer in org.eclipse.swt.dnd
Modifier and Type
Class
Description
`class`
`ByteArrayTransfer`
The class `ByteArrayTransfer` provides a platform specific mechanism for converting a java `byte[]` to a platform specific representation of the byte array and vice versa.
`class`
`FileTransfer`
The class `FileTransfer` provides a platform specific mechanism for converting a list of files represented as a java `String[]` to a platform specific representation of the data and vice versa.
`class`
`HTMLTransfer`
The class `HTMLTransfer` provides a platform specific mechanism for converting text in HTML format represented as a java `String` to a platform specific representation of the data and vice versa.
`class`
`ImageTransfer`
The class `ImageTransfer` provides a platform specific mechanism for converting an Image represented as a java `ImageData` to a platform specific representation of the data and vice versa.
`class`
`RTFTransfer`
The class `RTFTransfer` provides a platform specific mechanism for converting text in RTF format represented as a java `String` to a platform specific representation of the data and vice versa.
`class`
`TextTransfer`
The class `TextTransfer` provides a platform specific mechanism for converting plain text represented as a java `String` to a platform specific representation of the data and vice versa.
`class`
`URLTransfer`
The class `URLTransfer` provides a platform specific mechanism for converting text in URL format represented as a java `String` to a platform specific representation of the data and vice versa.
Methods in org.eclipse.swt.dnd that return Transfer
Modifier and Type
Method
Description
`Transfer[]`
DragSource.`getTransfer()`
Returns the list of data types that can be transferred by this DragSource.
`Transfer[]`
DropTarget.`getTransfer()`
Returns a list of the data types that can be transferred to this DropTarget.
Methods in org.eclipse.swt.dnd with parameters of type Transfer
Modifier and Type
Method
Description
`Object`
Clipboard.`getContents(Transfer transfer)`
Retrieve the data of the specified type currently available on the system clipboard.
`Object`
Clipboard.`getContents(Transfer transfer, int clipboards)`
Retrieve the data of the specified type currently available on the specified clipboard.
`void`
Clipboard.`setContents(Object[] data, Transfer[] dataTypes)`
Place data of the specified type on the system clipboard.
`void`
Clipboard.`setContents(Object[] data, Transfer[] dataTypes, int clipboards)`
Place data of the specified type on the specified clipboard.
`void`
DragSource.`setTransfer(Transfer... transferAgents)`
Specifies the list of data types that can be transferred by this DragSource.
`void`
DropTarget.`setTransfer(Transfer... transferAgents)`
Specifies the data types that can be transferred to this DropTarget.

## Uses of Transfer in org.eclipse.ui.application

Methods in org.eclipse.ui.application with parameters of type Transfer
Modifier and Type
Method
Description
`void`
IWorkbenchWindowConfigurer.`addEditorAreaTransfer(Transfer transfer)`
Adds the given drag and drop `Transfer` type to the ones supported for drag and drop on the editor area of this workbench window.

## Uses of Transfer in org.eclipse.ui.dnd

Methods in org.eclipse.ui.dnd with parameters of type Transfer
Modifier and Type
Method
Description
`void`
IDragAndDropService.`addMergedDropTarget(Control control, int ops, Transfer[] transfers, DropTargetListener listener)`
Causes a drop target to be added to the given control that respects the existing site's drop behaviour in addition to the behaviour being specified for the given control.

## Uses of Transfer in org.eclipse.ui.forms.widgets

Methods in org.eclipse.ui.forms.widgets with parameters of type Transfer
Modifier and Type
Method
Description
`void`
Form.`addTitleDragSupport(int operations, Transfer[] transferTypes, DragSourceListener listener)`
Adds support for dragging items out of the form title area via a user drag-and-drop operation.
`void`
Form.`addTitleDropSupport(int operations, Transfer[] transferTypes, DropTargetListener listener)`
Adds support for dropping items into the form title area via a user drag-and-drop operation.

## Uses of Transfer in org.eclipse.ui.navigator

Methods in org.eclipse.ui.navigator that return Transfer
Modifier and Type
Method
Description
`Transfer[]`
CommonDragAdapter.`getSupportedDragTransfers()`
`Transfer[]`
CommonDropAdapter.`getSupportedDropTransfers()`
`abstract Transfer[]`
CommonDragAdapterAssistant.`getSupportedTransferTypes()`
Extra TransferTypes allow the Navigator to generate different kinds of payloads for DND clients.

## Uses of Transfer in org.eclipse.ui.navigator.resources

Methods in org.eclipse.ui.navigator.resources that return Transfer
Modifier and Type
Method
Description
`Transfer[]`
ResourceDragAdapterAssistant.`getSupportedTransferTypes()`

## Uses of Transfer in org.eclipse.ui.part

Subclasses of Transfer in org.eclipse.ui.part
Modifier and Type
Class
Description
`class`
`EditorInputTransfer`
The `EditorInputTransfer` class is used to transfer an `IEditorInput` and corresponding editorId from one part to another in a drag and drop operation.
`class`
`MarkerTransfer`
A `MarkerTransfer` is used to transfer an array of `IMarker`s from one part to another in a drag and drop operation.
`class`
`PluginTransfer`
This class can be used to transfer an instance of `PluginTransferData` between two parts in a workbench in a drag and drop operation.
`class`
`ResourceTransfer`
The `ResourceTransfer` class is used to transfer an array of `IResource`s from one part to another in a drag and drop operation or a cut, copy, paste action.

## Uses of Transfer in org.eclipse.ui.texteditor

Methods in org.eclipse.ui.texteditor that return Transfer
Modifier and Type
Method
Description
`Transfer[]`
ITextEditorDropTargetListener.`getTransfers()`
Returns the list of `Transfer` agents that are supported by this listener.